<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->id();
            $table->string('firstname');
            $table->string('lastname');
            $table->string('guest');
            $table->string('sexe');
            $table->string('username');
            $table->string('contact');
            $table->string('photo');
            $table->integer('idProfile');
            $table->integer('etat');
            $table->string('email',40)->unique();
            $table->timestamp('email_verified_at')->nullable();
            $table->string('password');
            $table->string('profession');
            $table->string('naissance');
            $table->string('ville');
            $table->string('quartier');
            $table->string('adresse');
            $table->string('nomRessource');
            $table->string('prenomRessource');
            $table->string('contactRessource');
            $table->rememberToken();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
}
