@extends('Vitrine.app')
@section('title')
    Login
@endsection
@section('content')
    <!-- start banner Area -->
    <section class="banner-area relative about-banner" id="home">
        <div class="overlay overlay-bg"></div>
        <div class="container">
            <div class="row d-flex align-items-center justify-content-center">
                <div class="about-content col-lg-12">
                    <h1 class="text-white">
                        Page d'authentification
                    </h1>
                    <p class="text-white link-nav"><a href="{{route('index')}}">Accueil </a>  <span class="lnr lnr-arrow-right"></span>  <a href="{{route('login')}}"> Authentification</a></p>
                </div>
            </div>
        </div>
    </section>
    <!-- End banner Area -->

    <!-- Start contact-page Area -->
    <section class="contact-page-area section-gap">
        @if($Success=Session('info'))
            <div class="alert alert-success">{{$Success}}</div>
        @endif
        <div class="container">
            <div class="row">
                <div class="col-md-5">
                    <center>
                        <img src="{{asset('img/01_CloudCape_IT-Security_H2-1024x671-1.png')}}" class="img-fluid">
                    </center>
                </div>
                <div class="col-lg-7">
                    <div class="card">
                        <div class="card-header" style="background-color: #1b4b72;color:white"><img src="{{asset('img/security.gif')}}" class="img-fluid" style="height: 30px"> Page de d'Authentification</div>
                        <div class="card-body">
                            <form method="POST" action="{{ route('login') }}">
                                @csrf

                                <div class="form-group row">
                                    <label for="email" class="col-md-4 col-form-label text-md-right">{{ __('E-mail ou Nom d\'Utilisateur') }}</label>

                                    <div class="col-md-6">
                                        <input style="color:green" id="login" type="text"
                                               class="form-control{{ $errors->has('username') || $errors->has('email') ? ' is-invalid' : '' }}"
                                               name="login" value="{{ old('username') ?: old('email') }}" required autofocus>

                                        @if ($errors->has('username') || $errors->has('email'))
                                            <span class="invalid-feedback">
                         <strong>{{ $errors->first('username') ?: $errors->first('email') }}</strong>
                        </span>
                                        @endif

                                        @error('email')
                                        <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="password" class="col-md-4 col-form-label text-md-right">{{ __('Mot de passe') }}</label>

                                    <div class="col-md-6">
                                        <input style="color:red" id="password" type="password" class="form-control @error('password') is-invalid @enderror" name="password" required autocomplete="current-password">

                                        @error('password')
                                        <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <div class="col-md-6 offset-md-4">
                                        <div class="form-check">
                                            <input class="form-check-input" type="checkbox" name="remember" id="remember" {{ old('remember') ? 'checked' : '' }}>

                                            <label class="form-check-label" for="remember">
                                                {{ __('Mémoriser authentification') }}
                                            </label>
                                        </div>
                                    </div>
                                </div>

                                <div class="form-group row mb-0">
                                    <div class="col-md-8 offset-md-4">
                                        <button type="submit" class="btn btn-primary">
                                            {{ __('Se Connecter') }}
                                        </button>

                                        @if (Route::has('password.request'))
                                            <a class="btn btn-link" href="{{ route('password.request') }}">
                                                {{ __('Mot de passe oublié ?') }}
                                            </a>
                                        @endif
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- End contact-page Area -->
@endsection