@extends('Vitrine.app')
@section('title')
    Inscription
@endsection
@section('content')
    <!-- start banner Area -->
    <section class="banner-area relative about-banner" id="home">
        <div class="overlay overlay-bg"></div>
        <div class="container">
            <div class="row d-flex align-items-center justify-content-center">
                <div class="about-content col-lg-12">
                    <h1 class="text-white">
                        Page d'inscription
                    </h1>
                    <p class="text-white link-nav"><a href="{{route('index')}}">Accueil </a>  <span class="lnr lnr-arrow-right"></span>  <a href="{{route('inscription')}}"> Inscription</a></p>
                </div>
            </div>
        </div>
    </section>
    <!-- End banner Area -->

    <!-- Start contact-page Area -->
    <section class="contact-page-area section-gap">
        @if($Success=Session('info'))
            <div class="alert alert-success">{{$Success}}</div>
        @endif
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <form class="form-area " action="{{route('inscriptionValidation')}}" method="post" class="contact-form text-right">
                        @csrf
                        <div class="row">
                            <div class="col-lg-6 form-group">
                                <input type="hidden" value="{{csrf_token()}}" name="token">
                                <input name="nom" placeholder="Entrer votre Nom" onfocus="this.placeholder = ''" onblur="this.placeholder = 'Entrer votre nom'" class="common-input mb-20 form-control" required="" type="text">

                                <input name="prenom" placeholder="Entrer votre Prenom" onfocus="this.placeholder = ''" onblur="this.placeholder = 'Entrer votre prénom'" class="common-input mb-20 form-control" required="" type="text">
                                 <label>Date de naissance</label>
                                <input name="naissance" placeholder="Entrer votre Naissance" onfocus="this.placeholder = ''" onblur="this.placeholder = 'Votre date de naissance'" class="common-input mb-20 form-control" required="" type="date">
                                <label>Sexe</label>
                                <select class="common-input mb-20 form-control" name="sexe" required>
                                    <option>Cliquez</option>
                                    <option value="Masculin">Masculin</option>
                                    <option value="Féminin">Féminin</option>
                                </select>

                                <input name="username" placeholder="Entrer votre nom d'utilisateur" onfocus="this.placeholder = ''" onblur="this.placeholder = 'Entrer votre nom d\'utilisateur'" class="common-input mb-20 form-control" required="" type="text">

                                <input name="email" placeholder="Entrer votre e-mail" onfocus="this.placeholder = ''" onblur="this.placeholder = 'Entrer votre e-mail'" class="common-input mb-20 form-control" type="email">

                                <input name="contact" placeholder="Entrer votre contact" onfocus="this.placeholder = ''" onblur="this.placeholder = 'Entrer votre contact'" class="common-input mb-20 form-control" required="" type="text">

                                <label>Photo de profil</label>
                                <input name="photo" onfocus="this.placeholder = ''" onblur="this.placeholder = 'Photo de profil'" class="common-input mb-20 form-control" type="file">
                            </div>
                            <div class="col-lg-6 form-group">
                                <label>Mot de pass</label>
                                <div class="row">
                                    <div class="col-md-6">
                                        <input minlength="6" name="pass1" placeholder="Entrer votre mot de passe" onfocus="this.placeholder = ''" onblur="this.placeholder = 'Votre Mot de passe'" class="common-input mb-20 form-control" required="" type="password">
                                    </div>
                                    <div class="col-md-6">
                                        <input minlength="6" name="pass2" placeholder="Confirmez le mot de passe"  onfocus="this.placeholder = ''" onblur="this.placeholder = 'Confirmez le mot de passe'" class="common-input mb-20 form-control" required="" type="text">
                                    </div>
                                </div>
                                <input name="profession" placeholder="Entrer votre profession" onfocus="this.placeholder = ''" onblur="this.placeholder = 'Votre profession'" class="common-input mb-20 form-control" required="" type="text">
                                <input name="ville" placeholder="Votre ville résidence"  onfocus="this.placeholder = ''" onblur="this.placeholder = 'Votre ville résidence'" class="common-input mb-20 form-control" required="" type="text">
                                <input name="quartier" placeholder="Votre quartier" onfocus="this.placeholder = ''" onblur="this.placeholder = 'Votre quartier'" class="common-input mb-20 form-control" required="" type="text">
                                <input name="adresse" placeholder="Votre adresse"  onfocus="this.placeholder = ''" onblur="this.placeholder = 'Votre adresse'" class="common-input mb-20 form-control" required="" type="text">
                                <input name="inviter" placeholder="Pseudo de l'inviteur ( Optionnel )" onfocus="this.placeholder = ''" onblur="this.placeholder = 'Pseudo de l\'inviteur (Optionnel)'" class="common-input mb-20 form-control" type="text">
                                <input name="nomRessource" placeholder="Nom personne ressource"  onfocus="this.placeholder = ''" onblur="this.placeholder = 'Nom personne ressource'" class="common-input mb-20 form-control" required="" type="text">
                                <input name="prenomRessource" placeholder="Prénom personne ressource"  onfocus="this.placeholder = ''" onblur="this.placeholder = 'Prénom personne ressource'" class="common-input mb-20 form-control" required="" type="text">
                                <input name="contactRessource" placeholder="Contact de la personne ressource" onfocus="this.placeholder = ''" onblur="this.placeholder = 'Contact de la personne ressource'" class="common-input mb-20 form-control" required="" type="text">
                                <div class="row form-sub m-0">
                                    <div class="custom-control custom-checkbox">
                                        <input type="checkbox" class="custom-control-input" name="agree" required id="agree">
                                        <label class="custom-control-label" for="agree">J'accepte les termes et conditions.</label>
                                    </div>
                                </div><br>
                                <center>
                                    <input type="submit" class="btn btn-primary btn-sm" value="S'Inscrire">
                                    <input type="reset" class="btn btn-danger btn-sm" value="Annuler">
                                    <a href="{{route('index')}}">Se Connecter</a>
                                </center>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </section>
    <!-- End contact-page Area -->
@endsection